package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;

public class DMFHFStaticVO extends HeaderVO{
	private String fshrbt_no;
	private String ship_nm;
	private String clsgn;
	private Double tn;
	
	public DMFHFStaticVO() {
		fshrbt_no = "";
		ship_nm = "";
		clsgn = "";
		tn = 0.0;
	}
	
	public String getFshrbt_no() {
		return fshrbt_no;
	}
	public void setFshrbt_no(String fshrbt_no) {
		this.fshrbt_no = fshrbt_no;
	}
	public String getShip_nm() {
		return ship_nm;
	}
	public void setShip_nm(String ship_nm) {
		this.ship_nm = ship_nm;
	}
	public String getClsgn() {
		return clsgn;
	}
	public void setClsgn(String clsgn) {
		this.clsgn = clsgn;
	}
	public Double getTn() {
		return tn;
	}
	public void setTn(Double tn) {
		this.tn = tn;
	}
	
	public String getString() {
		return "TargetSensor : "+this.targetSensor+"\n"+
				"packetID    : "+this.packetID+"\n"+
				"ShipID      : "+this.shipID+"\n"+
				"DateTime    : "+this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+"\n"+
				"AreaID 	 : "+this.areaID+"\n"+
				"MsgType 	 : "+this.msgType+"\n"+
				"DataLength  : "+this.dataLength+"\n"+
				"fshrbt_no 	 : "+this.fshrbt_no+ "\n" + 
				"ship_nm 	 : "+this.ship_nm+ "\n" + 
				"clsgn 	     : "+this.clsgn+ "\n" + 
				"tn 		 : " + String.valueOf(this.tn);			
	}
}
